<?php

namespace Supportingcast\Shortcodes;

class FeedDetail extends Template
{
	public function render()
	{
		$feed = $this->params['feed'];
		$schemesByDevice = $feed->schemes;
		$user = $this->params['user'];
		$this->enqueueStyles();

		?>
        <div style="margin-bottom: 2em"><a href="<?= strtok($_SERVER["REQUEST_URI"], '?') ?>"><< Back to Shows</a></div>
        <div class="content-header">
            <img class="content-header__title-img desktop-only" src="<?= $feed->image_url ?>">
            <div class="content-header__copy">
                <h2><?= $feed->name ?></h2>
                <p><?= $feed->description ?></p>
            </div>
        </div>
        <section class="show-page-section show-page__direct">
            <div class="desktop-only send-sms">
                <h3 style="margin: 0 0 20px 0">Mobile</h3>
                <p>Enter your phone number below:</p>
                <form class="field-action-set" method="post">
                    <input type="hidden" name="podcast_id" value="<?= $feed->id ?>">
                    <input type="hidden" name="external_id" value="<?= $user->external_id ?>">
                    <input type="tel" id="phone_interface" name="phone_number_interface">
                    <input type="hidden" id="phone_hidden" name="phone_number">
                    <button type="submit" class="button__main small phone-submit">Send Me a Link</button>
                    <input type="hidden" id="token" name="token" value="<?= wp_create_nonce('wp_rest') ?>">
                </form>
                <p class="alert-simple error js-alert-phone-number">Please enter a valid phone number.</p>
                <p class="alert-simple success js-alert-phone-number-success">Thanks! Please check your phone.</p>
            </div>
            <div>
                <h3 class="desktop-only">Desktop</h3>
                <p>
                <ul class="feed-action-list">
                    <?php foreach($schemesByDevice->desktop as $scheme) {
	                    echo (new Scheme(['device' => 'desktop', 'data' => $scheme]))->handle();
                    } ?>
                </ul>
                </p>
                <h3 class="mobile-only">Choose a Podcast App:</h3>
                <p>
                <ul class="feed-action-list">
		            <?php foreach($schemesByDevice->mobile as $scheme) {
			            echo (new Scheme(['device' => 'mobile', 'data' => $scheme]))->handle();
		            } ?>
                </ul>
                </p>
            </div>
        </section>
        <section class="show-page-section show-page__manual">
            <h3>Manual Link Setup</h3>
            <p>
                You can copy the link below, and manually add it to your podcast player:
            </p>
            <form class="copyable-set field-action-set">
                <input class="copyable" value="<?= $feed->url ?>">
                <button class="stop-prop js-copyable-button button__main small">Copy</button>
                <p class="alert-simple success js-alert-copy">Copied!</p>
            </form>
        </section>
		<?php

	}

	private function enqueueStyles()
	{
		wp_enqueue_style(
			'sc-podcasts-phone-css',
			plugins_url('', __FILE__) . '/../../css/sc-phone.css',
			array(),
			SUPPORTING_CAST_VERSION
		);

		wp_enqueue_script(
			'sc-podcasts-phone-js',
			plugins_url('', __FILE__) . '/../../js/sc-phone.js',
			[],
			SUPPORTING_CAST_VERSION,
			true
		);
	}
}