<?php

namespace Supportingcast\Woocommere;

if ( !in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
	define('SC_WOOCOMMERCE_INSTALLED', false);
    return;
}

define('SC_WOOCOMMERCE_INSTALLED', true);

require_once(__DIR__ . '/AdminProductData.php');
require_once(__DIR__ . '/AdminSettings.php');
require_once(__DIR__ . '/ProcessOrder.php');


function sc_woocommerce_admin_notices() {
	if (get_option('woocommerce_enable_guest_checkout') == 'yes'):
		?>
		<div class="notice notice-warning">
			Guest Checkout is current enabled in WooCommerce. If a user does not create an account they will not be able to login and access linked content!
			<a href="/wp-admin/admin.php?page=wc-settings&tab=account">Click here to fix it</a>
		</div>
	<?php
	endif;
}

add_action('admin_notices', 'Supportingcast\Woocommere\sc_woocommerce_admin_notices');

